Skip to main content
POST
Create customer payment gateway connection

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

customer_id
string | null
required

Body

application/json
payment_gateway_connection_id
string
required

The ID of the payment gateway connection to map the customer to.

provider_customer_id
string | null

The ID of the customer in the external payment provider.

Minimum string length: 1
is_default
boolean
default:false

Whether Orb charges the customer for the billing entity's invoices through this mapping. The customer's first mapping for a billing entity is the default regardless.

Response

Created

A customer's mapping to one payment gateway connection.

payment_gateway_connection_id
string
required

The ID of the payment gateway connection the customer is mapped to.

provider_type
enum<string>
required

The external payment provider of the connection.

Available options:
stripe,
adyen
external_account_id
string | null
required

The ID of the account in the external payment provider.

provider_customer_id
string | null
required

The ID of the customer in the external payment provider, or null if none is set.

billing_entity_id
string
required

The ID of the billing entity that collects payments through the connection.

is_default
boolean
required

Whether Orb charges the customer for that billing entity's invoices through this mapping. On the default billing entity, it is the mapping the customer's payment_provider_id reflects.

created_at
string<date-time>
required

The time the mapping was created.